module(...)
--auto generate data
NPC={
	[73001]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=73001,
		lifeTime=0,
		modelId=1002,
		mutateColor={},
		mutateTexture=0,
		name=[[Guardian]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-180.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=6.0,
		y=18.0,
		z=0.0,
	},
	[74001]={
		dialogId=0,
		diglogface=0,
		event=101,
		grade=1,
		id=74001,
		lifeTime=0,
		modelId=1002,
		mutateColor={},
		mutateTexture=0,
		name=[[Guardian]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-90.0,
		scale=1.0,
		sceneId=204000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=13.0,
		y=17.0,
		z=0.0,
	},
	[75001]={
		dialogId=0,
		diglogface=0,
		event=102,
		grade=1,
		id=75001,
		lifeTime=0,
		modelId=1002,
		mutateColor={},
		mutateTexture=0,
		name=[[Guardian]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=110.0,
		scale=1.0,
		sceneId=206000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=6.63,
		y=5.51,
		z=23.94,
	},
	[76001]={
		dialogId=0,
		diglogface=0,
		event=103,
		grade=30,
		id=76001,
		lifeTime=0,
		modelId=1700,
		mutateColor={},
		mutateTexture=0,
		name=[[Old Panda]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=45.0,
		scale=1.7,
		sceneId=261000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=17.0,
		y=11.0,
		z=0.0,
	},
	[77001]={
		dialogId=0,
		diglogface=0,
		event=104,
		grade=45,
		id=77001,
		lifeTime=0,
		modelId=1650,
		mutateColor={},
		mutateTexture=0,
		name=[[ChouWu]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=90.0,
		scale=1.7,
		sceneId=261000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=17.0,
		y=11.0,
		z=0.0,
	},
	[78001]={
		dialogId=0,
		diglogface=0,
		event=105,
		grade=60,
		id=78001,
		lifeTime=0,
		modelId=1201,
		mutateColor={},
		mutateTexture=0,
		name=[[BiYi]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=90.0,
		scale=1.7,
		sceneId=261000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=17.0,
		y=11.0,
		z=0.0,
	},
	[80001]={
		dialogId=0,
		diglogface=0,
		event=500,
		grade=1,
		id=80001,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=15.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80002]={
		dialogId=0,
		diglogface=0,
		event=501,
		grade=1,
		id=80002,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=30.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80003]={
		dialogId=0,
		diglogface=0,
		event=502,
		grade=1,
		id=80003,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=45.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80004]={
		dialogId=0,
		diglogface=0,
		event=503,
		grade=1,
		id=80004,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=60.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80005]={
		dialogId=0,
		diglogface=0,
		event=504,
		grade=1,
		id=80005,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=75.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80006]={
		dialogId=0,
		diglogface=0,
		event=505,
		grade=1,
		id=80006,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=90.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80007]={
		dialogId=0,
		diglogface=0,
		event=506,
		grade=1,
		id=80007,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=105.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80008]={
		dialogId=0,
		diglogface=0,
		event=507,
		grade=1,
		id=80008,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=120.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80009]={
		dialogId=0,
		diglogface=0,
		event=508,
		grade=1,
		id=80009,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=135.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80010]={
		dialogId=0,
		diglogface=0,
		event=509,
		grade=1,
		id=80010,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=150.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80011]={
		dialogId=0,
		diglogface=0,
		event=510,
		grade=1,
		id=80011,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=165.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80012]={
		dialogId=0,
		diglogface=0,
		event=511,
		grade=1,
		id=80012,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=180.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80013]={
		dialogId=0,
		diglogface=0,
		event=512,
		grade=1,
		id=80013,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-15.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80014]={
		dialogId=0,
		diglogface=0,
		event=513,
		grade=1,
		id=80014,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-30.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80015]={
		dialogId=0,
		diglogface=0,
		event=514,
		grade=1,
		id=80015,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-45.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80016]={
		dialogId=0,
		diglogface=0,
		event=515,
		grade=1,
		id=80016,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-60.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80017]={
		dialogId=0,
		diglogface=0,
		event=516,
		grade=1,
		id=80017,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-75.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80018]={
		dialogId=0,
		diglogface=0,
		event=517,
		grade=1,
		id=80018,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-90.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80019]={
		dialogId=0,
		diglogface=0,
		event=518,
		grade=1,
		id=80019,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-105.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80020]={
		dialogId=0,
		diglogface=0,
		event=519,
		grade=1,
		id=80020,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-120.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80021]={
		dialogId=0,
		diglogface=0,
		event=520,
		grade=1,
		id=80021,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-135.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80022]={
		dialogId=0,
		diglogface=0,
		event=521,
		grade=1,
		id=80022,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-150.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80023]={
		dialogId=0,
		diglogface=0,
		event=522,
		grade=1,
		id=80023,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-165.0,
		scale=0.6,
		sceneId=200400,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80024]={
		dialogId=0,
		diglogface=0,
		event=523,
		grade=1,
		id=80024,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-180.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80025]={
		dialogId=0,
		diglogface=0,
		event=524,
		grade=1,
		id=80025,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=60.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80026]={
		dialogId=0,
		diglogface=0,
		event=525,
		grade=1,
		id=80026,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=120.0,
		scale=0.6,
		sceneId=206100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80027]={
		dialogId=0,
		diglogface=0,
		event=526,
		grade=1,
		id=80027,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=180.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80028]={
		dialogId=0,
		diglogface=0,
		event=527,
		grade=1,
		id=80028,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-60.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80029]={
		dialogId=0,
		diglogface=0,
		event=528,
		grade=1,
		id=80029,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-120.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
	[80030]={
		dialogId=0,
		diglogface=0,
		event=529,
		grade=1,
		id=80030,
		lifeTime=0,
		modelId=1300,
		mutateColor={},
		mutateTexture=0,
		name=[[Mysterious Chest]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-180.0,
		scale=0.6,
		sceneId=204100,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=0.0,
		y=0.0,
		z=0.0,
	},
}

BossConfig={
	[1]={
		baodi_reward={[1]=1,[2]=4,},
		born_hp=1148341,
		born_map=200000,
		born_time=5400,
		boss_model=76001,
		died_text=[[The Humanoid Monster [ff0000]$name[-] has been defeated, but still screams because of getting hurt!]],
		end_limit_time=180,
		end_text=[[Humanoid Monster[ff0000]$name[-] has escaped with serious injuries. The fog is still here, the darkness will return.]],
		enter_gradelimit=999,
		enter_hplimit=30,
		fall_reward={
			[1]=80001,
			[2]=80002,
			[3]=80003,
			[4]=80004,
			[5]=80005,
			[6]=80006,
		},
		fightid=1001,
		gate_model=73001,
		hp_tips=[[Humanoid Monster's HP[ff0000]$name[-] below [ff0000]$hp%[-], the boundary closed, can't enter]],
		id=1,
		kill_reward={[1]=7,},
		level=60,
		player_limit=0,
		refresh_text=[[Legendary Humanoid Monster [ff0000]The Black $name[-] disguised as [ff0000]Old Panda[-], let's defeat him together!]],
		refresh_time=120,
		rewarditem=[[16021|16024|16023]],
		spawn_point={
			[1]={posx=7,posy=4,},
			[2]={posx=4,posy=5,},
			[3]={posx=4,posy=2,},
			[4]={posx=11,posy=1,},
		},
		war_mapid=101,
	},
	[2]={
		baodi_reward={[1]=2,[2]=5,},
		born_hp=2077037,
		born_map=204000,
		born_time=7200,
		boss_model=77001,
		died_text=[[Humanoid Monster [ff0000]$name[-] was defeated, before closing his eyes he said: “***.”]],
		end_limit_time=180,
		end_text=[[Humanoid Monster[ff0000]$name[-] has escaped with serious injuries. The fog is still here, the darkness will return.]],
		enter_gradelimit=999,
		enter_hplimit=30,
		fall_reward={
			[1]=80011,
			[2]=80012,
			[3]=80013,
			[4]=80014,
			[5]=80015,
			[6]=80016,
			[7]=80017,
			[8]=80018,
		},
		fightid=1002,
		gate_model=74001,
		hp_tips=[[Humanoid Monster's HP[ff0000]$name[-] below [ff0000]$hp%[-], the boundary closed, can't enter]],
		id=2,
		kill_reward={[1]=8,},
		level=80,
		player_limit=0,
		refresh_text=[[Legendary Humanoid Monster [ff0000]The Black $name[-] disguised as [ff0000]ChouWu[-], let's defeat him together!]],
		refresh_time=180,
		rewarditem=[[11001|16021|16024|16023]],
		spawn_point={
			[1]={posx=7,posy=4,},
			[2]={posx=4,posy=5,},
			[3]={posx=4,posy=2,},
			[4]={posx=11,posy=1,},
		},
		war_mapid=102,
	},
	[3]={
		baodi_reward={[1]=3,[2]=6,},
		born_hp=3236293,
		born_map=206000,
		born_time=9000,
		boss_model=78001,
		died_text=[[The Humanoid Monster [ff0000]$name[-] was defeated, before closing his eyes, he sent a kiss back.]],
		end_limit_time=180,
		end_text=[[Humanoid Monster[ff0000]$name[-] has escaped with serious injuries. The fog is still here, the darkness will return.]],
		enter_gradelimit=999,
		enter_hplimit=30,
		fall_reward={
			[1]=80021,
			[2]=80022,
			[3]=80023,
			[4]=80024,
			[5]=80025,
			[6]=80026,
			[7]=80027,
			[8]=80028,
			[9]=80029,
			[10]=80030,
		},
		fightid=1003,
		gate_model=75001,
		hp_tips=[[Humanoid Monster's HP[ff0000]$name[-] below [ff0000]$hp%[-], the boundary closed, can't enter]],
		id=3,
		kill_reward={[1]=9,},
		level=100,
		player_limit=0,
		refresh_text=[[The legendary sultry girl with countless heart-cut humanoid monsters[ff0000]Maleficient $name[-] disguised as [ff0000]BiYi[-] have appeared, warriors take up your weapons!!]],
		refresh_time=240,
		rewarditem=[[16021|16024|16023]],
		spawn_point={
			[1]={posx=7,posy=4,},
			[2]={posx=4,posy=5,},
			[3]={posx=4,posy=2,},
			[4]={posx=11,posy=1,},
		},
		war_mapid=103,
	},
}
